System freezes unless mouse/keyboard constantly used

Bug #643822 reported by Michael Mulqueen on 2010-09-20
96
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Ubuntu Maverick (up-to-date with latest packages as of 19:25 GMT September 20th)

Essentially, unless the keyboard or mouse is constantly in use, the system freezes/locks up/appears to be doing nothing. As soon as the keyboard is pressed or the mouse is moved, everything starts going again.

WORKAROUND: add the kernel option "nolapic_timer" (thanks to Michael Mulqueen)

Examples:
* System will never make it through boot process unless ctrl (or other) key is held down, just hangs
* I'm watching a video, if I don't hold down a key, press a key every few seconds or constantly move the mouse, then it will stop playing and the sound will loop, playback resumes as normal as soon as I trigger an input again
* I'm running aptitude update, if I don't keep moving the mouse or whatever, it will appear to stop doing anything (get stuck). I can't tell whether it is doing nothing or just appearing to do nothing. Again, as soon as I trigger an input again, everything starts back up (for a few seconds and then it stops again, unless I keep triggering inputs)
* I'm shutting down, it won't ever get there unless I keep pressing/hold down keys, it will just hang. I've left it all night and in the morning it's still stuck at the same point. Hold down a key and off it goes again.

It affects everything, not just these things. These are just some of the best examples. Freeze ups are not localised to one window, seems to affect everything. I can't be sure, but I reckon it is probably doing something funny with the hard disk when on battery mode (seems to be spinning up and down more often). Hard disk partitions are all ext4, both have plenty of free space.

It seems to have been a problem since I upgraded to Maverick a week or two ago. But in the last day it has become more severe. Previously, it only seemed to affect boot up and down, not it is affecting normal desktop usage (like videos). May coincide with a recent update to 2.6.35-22 from 2.6.35-x. I have booted into 2.6.32-x instead and the problem does not exist at all there. Definitely did not exist in Lucid either. Definitely looks like a kernel issue based on that.

Hardware is Lenovo Ideapad S12 with Intel Atom processor and Intel graphics.

This a big problem for me. It is making my computer almost unusable. Please could someone look into this urgently.

I actually have the same problem in Fedora 13. Except my system boots all the way and allows for login. But every so often (with increasing frequency) the system freezes. To get it back hit CTRL-ALT or something and it return. Might not be the same problem but sounds similar.

Definitely sounds familiar. When this problem was happening to me but
was less severe, I was doing the pretty much the same.

Do you know whether this has been reported upstream to the kernel developers?

I will contact the company that I bought my notebook from, they sell a
lot of linux devices and use them extensively themselves so they might
be able to help. I'll report back if I have any good news.

On Mon, Sep 20, 2010 at 9:12 PM, G. Michael Carter
<email address hidden> wrote:
> I actually have the same problem in Fedora 13.  Except my system boots
> all the way and allows for login.  But every so often (with increasing
> frequency) the system freezes.  To get it back hit CTRL-ALT or something
> and it return.  Might not be the same problem but sounds similar.
>
> --
> System freezes unless mouse/keyboard constantly used
> https://bugs.launchpad.net/bugs/643822
> You received this bug notification because you are a direct subscriber
> of the bug.
>

  No I haven't reported it.

I was taking this from the angle of a hardware problem. I have two of
these computers. The only differences, one I put in a Nvidia Card (to
get dual monitor support), and CPUs are different.

The problem computers is using the on-board intel graphics card. I've
just removed the intel drivers to see what happens but unfortunately my
dad's gone off line. (which it's his computer that has the problems, 2
hour's drive away so can't just pop over... grin)

I noticed just before the freeze the rtkit canary goes hungry and the
interrupt requests go through the roof. The i915 driver also seems to
pop up in the top logs for a second as using 99% CPU.

Once my father comes back on-line I'll try with the intel drivers
removed to see if it makes a difference. I have nine Fedora 13
systems, that one is the only system with a problem.

On 20/09/10 04:31 PM, Michael Mulqueen wrote:
> Definitely sounds familiar. When this problem was happening to me but
> was less severe, I was doing the pretty much the same.
>
> Do you know whether this has been reported upstream to the kernel
> developers?
>
> I will contact the company that I bought my notebook from, they sell a
> lot of linux devices and use them extensively themselves so they might
> be able to help. I'll report back if I have any good news.
>
> On Mon, Sep 20, 2010 at 9:12 PM, G. Michael Carter
> <email address hidden> wrote:
>> I actually have the same problem in Fedora 13. Except my system boots
>> all the way and allows for login. But every so often (with increasing
>> frequency) the system freezes. To get it back hit CTRL-ALT or something
>> and it return. Might not be the same problem but sounds similar.
>>
>> --
>> System freezes unless mouse/keyboard constantly used
>> https://bugs.launchpad.net/bugs/643822
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>

Right, just came back to my computer after leaving it idle for a
while, looked at the time on it, thought that it couldn't be right,
looked at my phone, knew it wasn't right. Ran ntpdate-debian to fix it
and to be sure. It was _40 minutes_ out. That shows that this isn't
just cosmetic. This is actually stopping the continuous execution of
processes (and ones as basic as time keeping processes).

  I was running this on my system. I was hoping to catch something
happening just before the freeze.

nohup top -b -i -d 5 -c > /var/log/cf_top.log&
nohup vmstat 5 -t > /var/log/cf_vmstat.log&

Might help you debug the issue. Just remember if you leave them running
it will fill up your hard drive.

On 20/09/10 06:03 PM, Michael Mulqueen wrote:
> Right, just came back to my computer after leaving it idle for a
> while, looked at the time on it, thought that it couldn't be right,
> looked at my phone, knew it wasn't right. Ran ntpdate-debian to fix it
> and to be sure. It was _40 minutes_ out. That shows that this isn't
> just cosmetic. This is actually stopping the continuous execution of
> processes (and ones as basic as time keeping processes).
>

Update: I have just tried the earliest version of 2.6.35 that I have,
which is 2.6.35-19, and I can confirm that it exists there too and is
just as bad.

tags: added: kj-triage

@G M Carter, how were you going to disable i915? Simply blacklisting
it didn't work for me. I'm up for trying almost anything that will
help tie this problem down.

  removed and blacklisted but no help.

I'm having my father bring the system here. I'm going to start
replacing components and see what happens.

Won't be for a few days though.

On 21/09/10 01:02 PM, Michael Mulqueen wrote:
> @G M Carter, how were you going to disable i915? Simply blacklisting
> it didn't work for me. I'm up for trying almost anything that will
> help tie this problem down.
>

I've found a workaround. I did a lot of searching, looking for similar
problems and then tried about 15 different things, 2 worked.

If you use the kernel flag "nolapic_timer", the problem goes away. A
proper solution still needs to be found though. The kernel flag
"nohz=off" also works, but it doesn't seem to play nicely with my
wireless networking.

To do this in the long term:

(Do all of these steps as root)

Open:
/etc/default/grup

Change:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

To:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nolapic_timer"

Run:
update-grub

Well we solved our problem.

1. Added Nvidia 4000mx graphics card with drivers from nvidia website. This made things run faster and minimized the problem. Saw it once and hour rather then every 3 minutes.

2. Replaced the CPU with an Intel E5400 (from the Celeron P4 that was in there)

The new CPU cured it permanently. Then again, might not have really fixed the problem... just given the system enough power now to skip over it.

sam tygier (samtygier) wrote :

on my S12 this has got much worse on maverick (compared with lucid). the nolapic_timer works around it.

sam tygier (samtygier) wrote :

think this is also the same as http://lkml.org/lkml/2010/10/10/94 and bug #646638

Another report from a Lenovo S12.

What I've noticed regarding this bug is that it isn't new to Maverick. In previous versions, mostly when I've first upgraded, the boot won't continue unless I bump the mouse or hit the shift key. Then I'll see the hard drive go for a bit. Another bump, I get a bit further.

In Maverick I can usually get logged in, but if I do nothing, I'll see the system monitor (I've added it to the top panel) freeze. If I move the mouse, it kicks in again. I'll also notice if I'm at the busy cursor (the circular spinny thing) it will stop spinning unless I bump the mouse.

     -Mike

sam tygier (samtygier) wrote :

setting the clock to show seconds also makes it quite obvious.

there is another report at http://ubuntuforums.org/showthread.php?p=9954714 it says that "clocksource=jiffies" as a boot arg fixes it

Aaron (aaron-fd) wrote :

I have exactly the same problem, I use 10.10 but i run the same issue in previous versions. Any idea on how to solve it?

@Aaron, Have you tried the nolapic_timer workaround as described in my
post on September 22nd, 2010?

Changed in linux (Ubuntu):
status: New → Confirmed

I confirm this problem on an ASUS Notebook. It behaves exactly as described in #1. Something stops basically all processing until the mouse is moved or any key hit. I find myself hitting "Shift" constantly just to keep things going.
I confirm that it's very unspecific and seems to affect everything. It has a severe impact on the general usability of the computer.
The problem appeared after upgrade to Maverick. It was never present before.

@Rüdiger, have you tried my workaround as mentioned in the above
comments? If so, did it work? Also, are you experiencing any problems
with wireless networking, because I am and I'm wondering whether there
is any connection between this bug and it.

Regards,
Mike (original submitter)

2010/11/6 Rüdiger Kupper <email address hidden>:
> I confirm this problem on an ASUS Notebook. It behaves exactly as described in #1. Something stops basically all processing until the mouse is moved or any key hit. I find myself hitting "Shift" constantly just to keep things going.
> I confirm that it's very unspecific and seems to affect everything. It has a severe impact on the general usability of the computer.
> The problem appeared after upgrade to Maverick. It was never present before.
>
> --
> System freezes unless mouse/keyboard constantly used
> https://bugs.launchpad.net/bugs/643822
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jon Jahren (jon-jahren) wrote :

I ran into this yesterday on Kubuntu 10.10 running the generic kernel. Adding nolapic_timer to the boot arguments does not help at all, additionally the grub splashscreen does not appear. Any information or testing I can do to help troubleshoot it?

sam tygier (samtygier) wrote :

still present on natty live cd on a lenovo S12 (intel version)

Jon Jahren (jon-jahren) wrote :

This is fixed for me in the latest rc of 2.6.37, I created a .deb file but it's rather large..

@Michael: Sorry for keeping you for so long.
Setting "nolapic" on the ASUS notebook did not help (it made the machine boot into a black screen and hang). The option "nohz=off", however, works. What is this option?

@Rüdiger, I don't really understand it enough to explain it, but I
understand the general gist of it. This bug is related to the way that
the kernel keeps time. The way the kernel used to work (by default)
was by ticking. The new way is tickless. nohz=on is tickless, nohz=off
is tickful. I won't even try to explain it. Some explanation here that
was published when it was added to the kernel:
http://www.linux-watch.com/news/NS5286251174.html

Regards,
Mike

Had exactly the same problem with freezing Lenovo S12 on Atom and Intel graphics. Tried Ubuntu NR, Kubuntu 10.10, Slax and OpenGeu - behaviour is nearly the same.
Today tried to add "nolapic_timer" on Mint 10 - works great! no freezes noticed on boot or regular jobs.
Next, will install Kubuntu 10.10 and try this trick over there..

Following this advice (also shown earlier in this thread) I've been happy
with my Ideapad S12:

https://help.ubuntu.com/community/IdeaPadS/Fixes

On Fri, Dec 17, 2010 at 6:30 PM, Oleksandr Yefremov <
<email address hidden>> wrote:

> Had exactly the same problem with freezing Lenovo S12 on Atom and Intel
> graphics. Tried Ubuntu NR, Kubuntu 10.10, Slax and OpenGeu - behaviour is
> nearly the same.
> Today tried to add "nolapic_timer" on Mint 10 - works great! no freezes
> noticed on boot or regular jobs.
> Next, will install Kubuntu 10.10 and try this trick over there..
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/643822
>
> Title:
> System freezes unless mouse/keyboard constantly used
>

Charles Baynham (bayners123) wrote :

I've been having this problem. I'm on a dual-booting system (Sony VAIO VGN-SR16GN) and oddly this doesn't affect my normal Ubuntu distribution, but the same version (10.10) installed as a server setup had this issue.

description: updated
Carl Englund (englundc) wrote :

I had this on a fresh install of Ubuntu 11.10 (Oneiric) on an Acer Travelmate 230. Problem exists after installing updates. Seems similar to bug #646638 (as someone noticed there), #657990 and #638434. Perhaps they should be marked as duplicates?

Adding dmesg, in case someone wants it.

Carl Englund (englundc) wrote :

Adding "nolapic_timer" to boot params did NOT fix the problem for me. Just "nolapic" worked.

Carl Englund (englundc) wrote :

Sorry for spamming, but perhaps it's better for this bug if I get it right. Actually nolapic wasn't completely stable either. My system eventually locked/froze completely.

I did "cat /sys/devices/system/clocksource/clocksource0/available_clocksource"

and the only available is "acpi_pm", which I guess means no dice with the "clocksource=jiffies" option.

Last choice seems to be "nohz=off", and it works.

Michael Mulqueen, thank you for reporting this and helping make Ubuntu better. Maverick reached EOL on April 10, 2012.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release? If so, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in a supported release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: maverick needs-upstream-testing
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Henri Reinikainen (henrixd) wrote :

I have AMILO Pi 2540 laptop

With Intel T2398 (http://ark.intel.com/products/35153/Intel-Pentium-Processor-T2390-1M-Cache-1_86-GHz-533-MHz-FSB), my system worked perfectly.

After upgrading to Intel T8100 (http://ark.intel.com/products/33916/Intel-Core2-Duo-Processor-T8100-3M-Cache-2_10-GHz-800-MHz-FSB), I started to having problems as described in this (and #669535) bug.

I have not (yet) tried "processor.max_cstate=1" as described in Bug #669535, but with "nolapic_timer clocksource=jiffies" kernel parameters everything seems to work. (~24h up and running with no trouble)

There is also 1.15c bios update for AMILO Pi 2540, that I have not tried yet.

My system is Ubuntu 13.04 with Linux 3.8.0-23-generic kernel

Henri Reinikainen (henrixd) wrote :

I don't know if these are any help, there is no error messages anywhere.

Henri Reinikainen (henrixd) wrote :

btw processor.max_cstate=1 seem to work too. I did not give much uptime to that. I'm not sure which is better solution.

Changed in linux (Ubuntu):
status: Expired → Incomplete

Henri Reinikainen, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers